Bug 955211 - CVE-2013-1950 libtirpc: invalid pointer free leads to crash [fedora-all]
CVE-2013-1950 libtirpc: invalid pointer free leads to crash [fedora-all]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libtirpc (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
: Security, SecurityTracking
: 955208 985254 (view as bug list)
Depends On:
Blocks: CVE-2013-1950
  Show dependency treegraph
 
Reported: 2013-04-22 10:41 EDT by Jan Lieskovsky
Modified: 2013-12-09 09:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:10:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-04-22 10:41:43 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-04-22 10:42:18 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=948378,955211
Comment 2 Tomas Hoger 2013-04-25 04:34:41 EDT
*** Bug 955208 has been marked as a duplicate of this bug. ***
Comment 3 Vincent Danen 2013-05-30 16:29:28 EDT
Steve, is this fixed in Fedora 19?  I can't tell by this:

* Mon Apr 22 2013 Steve Dickson <steved@redhat.com> 0.2.3-2
- Update to latest RC release: libtirpc-0-2-4-rc1 (bz 948378)

Please advise.  We definitely want to see this get fixed in Fedora (including the older releases).  Thanks.
Comment 4 Steve Dickson 2013-07-01 10:47:14 EDT
(In reply to Vincent Danen from comment #3)
> Steve, is this fixed in Fedora 19?  I can't tell by this:
> 
> * Mon Apr 22 2013 Steve Dickson <steved@redhat.com> 0.2.3-2
> - Update to latest RC release: libtirpc-0-2-4-rc1 (bz 948378)
> 
> Please advise.  We definitely want to see this get fixed in Fedora
> (including the older releases).  Thanks.

Yes its in f19..,.

https://admin.fedoraproject.org/updates/FEDORA-2013-6262/libtirpc-0.2.3-2.fc19?_csrf_token=2e9273f0392e75d74ca583015d55c60c4a33145b
Comment 5 Tomas Hoger 2013-07-17 04:12:14 EDT
*** Bug 985254 has been marked as a duplicate of this bug. ***
Comment 6 customercare 2013-07-18 07:31:00 EDT
The exploit for FC17 0.2.0-19 does also work on FC18 0.2.0-20 .
Comment 7 customercare 2013-08-17 04:41:51 EDT
whats with an update for fc18 ?
Comment 8 Steve Dickson 2013-12-09 09:10:35 EST
(In reply to customercare from comment #7)
> whats with an update for fc18 ?

At this point there probably will not be one...

Note You need to log in before you can comment on or make changes to this bug.